Bug 194542 - dmeventd leaves defunct processes around when opened by clvmd
Summary: dmeventd leaves defunct processes around when opened by clvmd
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper
Version: 4.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 180185 181411
TreeView+ depends on / blocked
 
Reported: 2006-06-08 20:48 UTC by Jonathan Earl Brassow
Modified: 2010-01-12 02:16 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-08-10 21:25:27 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0434 normal SHIPPED_LIVE device-mapper bug fix and enhancement update 2006-08-09 04:00:00 UTC

Description Jonathan Earl Brassow 2006-06-08 20:48:58 UTC
A proper daemon will reparent itself to init.  This happens if you fork and the
parent exits (amoung other things).  However, clvmd never exits, so when
creating a mirror with clvmd running, a zombie process will be left if you
remove the mirror (or suspend/resume cycles happen).

We need to rewrite the way the daemon is launched.

Comment 2 Jonathan Earl Brassow 2006-06-21 21:28:04 UTC
Waiting for patch to be added to LVM2/device-mapper

Comment 3 Alasdair Kergon 2006-07-04 20:40:39 UTC
The launcher needs fixing to deal with SIGCHILD correctly.

Comment 4 Alasdair Kergon 2006-07-04 20:43:44 UTC
Applying temporary workaround having dmeventd as separate binary.

Comment 10 Red Hat Bugzilla 2006-08-10 21:25:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0434.html



Note You need to log in before you can comment on or make changes to this bug.